summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Murat D. Kadirov2010-09-18 21:28:52 +0200
committer Robby Workman2010-09-22 05:11:08 +0200
commit80f94d000c1b5bf429db7da6373197ca2bd9d88a (patch)
treef9122b11095382b6a3aba7e0de7ed6ecc19fcce1
parent2ba5a9b54acc1965aac9b42b11dfbba7d0b2d073 (diff)
downloadslackbuilds-80f94d000c1b5bf429db7da6373197ca2bd9d88a.tar.gz
system/libnatspec: Added (Library for national and language-specific issues)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--system/libnatspec/README5
-rw-r--r--system/libnatspec/libnatspec.SlackBuild106
-rw-r--r--system/libnatspec/libnatspec.info10
-rw-r--r--system/libnatspec/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/system/libnatspec/README b/system/libnatspec/README
new file mode 100644
index 0000000000..65759ec585
--- /dev/null
+++ b/system/libnatspec/README
@@ -0,0 +1,5 @@
+NATSPEC library is intended to smooth national specificities in using of
+programs, to put it more exactly:
+
+ * to resolve in most cases the problems with charset;
+ * to provide various aids, which facilitate the programs localization.
diff --git a/system/libnatspec/libnatspec.SlackBuild b/system/libnatspec/libnatspec.SlackBuild
new file mode 100644
index 0000000000..d5a578e543
--- /dev/null
+++ b/system/libnatspec/libnatspec.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for libnatspec
+
+# Copyright 2010 Murat D. Kadirov <banderols@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libnatspec
+VERSION=${VERSION:-0.2.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+libtoolize --copy --force
+autoreconf
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-python \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar \
+ docs examples AUTHORS README ChangeLog NEWS TODO README-ru.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/libnatspec/libnatspec.info b/system/libnatspec/libnatspec.info
new file mode 100644
index 0000000000..f6d61a5cf1
--- /dev/null
+++ b/system/libnatspec/libnatspec.info
@@ -0,0 +1,10 @@
+PRGNAM="libnatspec"
+VERSION="0.2.6"
+HOMEPAGE="http://sourceforge.net/projects/natspec/"
+DOWNLOAD="http://downloads.sourceforge.net/natspec/libnatspec-0.2.6.tar.bz2"
+MD5SUM="b57683f2e7be837992bffead1a6d3733"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/system/libnatspec/slack-desc b/system/libnatspec/slack-desc
new file mode 100644
index 0000000000..7fcc6c008f
--- /dev/null
+++ b/system/libnatspec/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libnatspec: libnatspec (Library for national and language-specific issues)
+libnatspec:
+libnatspec: This library provides userful functions for mount, submount, mkisofs
+libnatspec: multimedia players. This library try to help resolve charset hell
+libnatspec: (encoding problem) in a various programs depends on locale and
+libnatspec: messages.
+libnatspec:
+libnatspec: See detailed description at http://sourceforge.net/projects/natspec
+libnatspec:
+libnatspec:
+libnatspec: